#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

char* cenzura(const char* tekst, const char* rijec)
{
    int i, j, duljina_tekst, flag=1;
    char* novitekst;

    for(i=0; tekst[i]!='\0'; i++);
    duljina_tekst=i; //odredjujemo duljinu, inace mozemo koristiti strlen

    novitekst=(char*)malloc((duljina_tekst+1)*sizeof(char));

    for(i=0; i<=duljina_tekst; i++)
        novitekst[i]=tekst[i];  //strcpy(novitekst,tekst);

    for(i=0; i<duljina_tekst; i++){
        flag=1;
        for(j=0; rijec[j]!='\0'; j++){
            if(tolower(novitekst[i+j])!=tolower(rijec[j])){
                flag=0;
                break;
            }
        }
        if(flag){
            for(j=0; rijec[j]!='\0'; j++)
                novitekst[i+j]='*';
            i=i+j; //samo da malo brze radimo tako da preskocimo zvjezdice
        }
    }

    return novitekst;
}

char* cenzura_string(const char* tekst, const char* rijec)
{
    int i, j, flag=1;
    char* novitekst;

    novitekst=(char*)malloc((strlen(tekst)+1)*sizeof(char));

    strcpy(novitekst,tekst);

    for(i=0; i<strlen(novitekst); i++){
        flag=1;
        for(j=0; j<strlen(rijec); j++){
            if(tolower(novitekst[i+j])!=tolower(rijec[j])){
                flag=0;
                break;
            }
        }
        if(flag){
            for(j=0; j<strlen(rijec); j++)
                novitekst[i+j]='*';
            i=i+j; //samo da malo brze radimo tako da preskocimo zvjezdice
        }
    }

    return novitekst;
}

int main(void)
{
    char* s;

    s=cenzura_string("Luka Kovac radi u kovacnici.","Kovac");

    printf("Novi string je:\n%s", s);

    free(s); //moramo osloboditi dinamicki alociranu memoriju

    return 0;
}
